• Request help with: hunspell-en dependency problem


    I’m relatively new to Antergos and after doing a yaourt update today I have been receiving hunspell-en dependency errors.

    I can’t figure out how to fit it, I’ve looked up the issue on google and here without any success.

    From checking yaourt, neither hunspell-en or hunspell-en_GB is installed, but when I try doing a yaourt update I receive the below dependency error.

    /[[email protected] ~]$ yaourt -Syu --devel --aur
    :: Synchronizing package databases...
     antergos is up to date
     core is up to date
     extra is up to date
     community is up to date
     multilib is up to date
     archlinuxfr is up to date
     blackarch is up to date
     Foreign packages: | 4 / 4
    ==> upgrading SVN/CVS/HG/GIT package
    error: missing 'hunspell-en' dependency for 'antergos-common-meta'
    [[email protected] ~]$ yaourt -C hunspell-en
    0 .pacorig found
    0 .pacnew found
    0 .pacsave found
    0 files are orphans
    
    
    
    
    [[email protected] ~]$ yaourt -C hunspell-en_GB
    0 .pacorig found
    0 .pacnew found
    0 .pacsave found
    0 files are orphans
    
    
    
    
    [[email protected] ~]$ yaourt -S hunspell-en
    resolving dependencies...
    looking for conflicting packages...
    error: unresolvable package conflicts detected
    error: failed to prepare transaction (conflicting dependencies)
    :: hunspell-en_GB and hunspell-en are in conflict
    /your code here
    

    Any ideas or suggestions about what to do would be appreciated. I figure it might be a cache based issue that I need to update, rebuild or refresh.

  • See here for the solution.

  • @richramo , This isn’t the first time that this type of problem has occurred. I was unable to update normally yesterday myself. It’s no real sweat. ;-)

    The answer is to un-click said Hunspell-en packages in Pamac’s GUI, itself, and/or better still: put them on the Ignore List until a solution is pushed through by the developers. In general they’re very quick to react from my experience. :-)

  • Thanks heaps, that seem to fix the issue, was originally worried that uninstalling antergos-common-meta it would uninstall some important desktop packages but it seems to have done the trick without breaking anything.

    I think I just need to get use to small glitches like this and trust that they will be fixed.

    Thanks @Bryanpwo and @frenchconnection

dependency24 request8 hunspell-en2 Posts 4Views 232
Log in to reply
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.